सामग्री पर जाएँ

Emu 3.5 Image · Text to Image

इंटीग्रेट करें

मॉडल id emu-3.5-image/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/emu-3.5-image/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.30 300 API क्रेडिट · ≈ ₽32.27 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

केवल टेक्स्ट से 480p या 720p पर, नौ आस्पेक्ट रेशियो विकल्पों के साथ इमेज बनाता है

BAAI · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज बनाने के लिए उपयोग किया जाने वाला प्रॉम्प्ट।

resolution डिफ़ॉल्ट 720p

परिणामी इमेज का रिज़ॉल्यूशन।

aspect_ratio डिफ़ॉल्ट 1:1

परिणामी इमेज का आस्पेक्ट रेशियो।

उन्नत output_format · seed · enable_safety_checker
output_format डिफ़ॉल्ट png

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

inference के दौरान उपयोग किया गया seed।

POST /run/emu-3.5-image/text-to-image?wait=20 कोटेशन → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/emu-3.5-image/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Emu 3.5 Image · Text to Image के बारे में

बिना इनपुट इमेज के `prompt` से इमेज बनाता है। `resolution` 480p या 720p होता है, और `aspect_ratio` 21:9 से 9:21 तक होता है, जिसका डिफ़ॉल्ट 1:1 है। आउटपुट फ़ॉर्मैट png, jpeg या webp हो सकता है, और `seed` दोहराए जा सकने वाले परिणाम देता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
इमेज बनाने के लिए उपयोग किया जाने वाला प्रॉम्प्ट।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट720p
480p720p
परिणामी इमेज का रिज़ॉल्यूशन।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1:1
21:916:94:33:21:12:33:49:169:21
परिणामी इमेज का आस्पेक्ट रेशियो।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
नियंत्रित करता है कि सुरक्षा जाँच सक्षम है या नहीं।
seedवैकल्पिक
प्रकारinteger | null
inference के दौरान उपयोग किया गया seed।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "emu-3.5-image/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}संपादन से परिणामी इमेज।
seed
integerinference के दौरान उपयोग किया गया seed।

और मॉडल: टेक्स्ट से इमेज

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/emu-3.5-image/text-to-image.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt